changeset 75:38e7e0cc3b9f

Build mksquashfs in the non-short cross-compiler, and use it at the end of make mini-native on the tools directory. Also tar up mini-native, and put both the cross-compiler and mini-native tarballs in the build directory. and
author Rob Landley <rob@landley.net>
date Fri, 29 Dec 2006 23:53:05 -0500
parents 752ca43084d7
children 5703436a408e
files cross-compiler.sh mini-native.sh
diffstat 2 files changed, 20 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/cross-compiler.sh	Fri Dec 29 20:00:27 2006 -0500
+++ b/cross-compiler.sh	Fri Dec 29 23:53:05 2006 -0500
@@ -85,6 +85,13 @@
 if [ -z "${BUILD_SHORT}" ]
 then
 
+# Build squashfs
+setupfor squashfs
+cd squashfs-tools &&
+make &&
+cp mksquashfs unsquashfs "${CROSS}/bin" &&
+$CLEANUP squashfs*
+
 # Build qemu
 setupfor qemu &&
 ./configure --disable-gcc-check --prefix="${CROSS}" &&
@@ -141,10 +148,9 @@
 #  "${ARCH}-strip" "$i" 2> /dev/null
 #done
 
-echo -n creating cross-compiler-"${ARCH}".tar.bz2 &&
-cd "${TOP}"
-{ tar cjvCf build cross-compiler-"${ARCH}".tar.bz2 cross-compiler-"${ARCH}" ||
-  dienow
+echo -n creating "build/cross-compiler-${ARCH}".tar.bz2 &&
+cd "${BUILD}"
+{ tar cjvf "cross-compiler-${ARCH}".tar.bz2 cross-compiler-"${ARCH}" || dienow
 } | dotprogress
 
 [ $? -ne 0 ] && dienow
--- a/mini-native.sh	Fri Dec 29 20:00:27 2006 -0500
+++ b/mini-native.sh	Fri Dec 29 23:53:05 2006 -0500
@@ -158,9 +158,18 @@
 
 fi
 
-# Packaging goes here
+# Clean up and package the result
 
 "${ARCH}-strip" "${TOOLS}"/{bin/*,sbin/*,libexec/gcc/*/*/*}
 
+cd "${BUILD}"
+echo -n "Creating tools.sqf"
+("${WORK}/mksquashfs" "${NATIVE}/tools" "tools-${ARCH}.sqf" \
+  -noappend -all-root -info || dienow) | dotprogress
+
+echo -n creating mini-native-"${ARCH}".tar.bz2 &&
+{ tar cjvf "mini-native-${ARCH}.tar.bz2" "mini-native-${ARCH}" || dienow
+} | dotprogress
+
 # Color back to normal
 echo -e "\e[0mBuild complete"